	<div class="wrap" id="zem_rp_wrap">
		<input type="hidden" id="zem_rp_ajax_nonce" value="<?php echo wp_create_nonce("zem_rp_ajax_nonce"); ?>" />
		<input type="hidden" id="zem_rp_json_url" value="<?php esc_attr_e(ZEM_RP_ZEMANTA_CONTENT_BASE_URL . ZEM_RP_STATIC_JSON_PATH); ?>" />
		<input type="hidden" id="zem_rp_version" value="<?php esc_attr_e(ZEM_RP_VERSION); ?>" />
		<input type="hidden" id="zem_rp_dashboard_url" value="<?php esc_attr_e(ZEM_RP_CTR_DASHBOARD_URL); ?>" />
		<input type="hidden" id="zem_rp_static_base_url" value="<?php esc_attr_e(ZEM_RP_ZEMANTA_CONTENT_BASE_URL); ?>" />
		 
		<form method="post" enctype="multipart/form-data" action="" id="zem_rp_settings_form">
			<?php wp_nonce_field('zem_rp_settings', '_zem_rp_nonce') ?>

			<div>
				<h2><?php _e("Settings",'zemanta_related_posts');?></h2>

				<?php do_action('zem_rp_admin_notices'); ?>

				<div class="container">
					<h3><?php _e("Basic Settings",'zemanta_related_posts');?></h3>

					<table class="form-table">
						<tr valign="top">
							<th scope="row"><?php _e('Related Posts Title:', 'zemanta_related_posts'); ?></th>
							<td>
							  <input name="zem_rp_related_posts_title" type="text" id="zem_rp_related_posts_title" value="<?php esc_attr_e($options['related_posts_title']); ?>" class="regular-text" />
							</td>
						</tr>
						<tr valign="top">
							<th scope="row"><?php _e('Number of Posts:', 'zemanta_related_posts');?></th>
							<td>
							  <input name="zem_rp_max_related_posts" type="number" step="1" id="zem_rp_max_related_posts" class="small-text" min="1" value="<?php esc_attr_e($options['max_related_posts']); ?>" />
							</td>
						</tr>
						<tr valign="top">
							<th scope="row"></th>
							<td><label>
								<?php _e('Only show posts from the last', 'zemanta_related_posts');?>&nbsp;
								<select name="zem_rp_max_related_post_age_in_days" id="zem_rp_max_related_post_age_in_days">
									<option value="0" <?php selected($options['max_related_post_age_in_days'], 0); ?>><?php _e('Unlimited','zemanta_related_posts'); ?></option>
									<option value="30" <?php selected($options['max_related_post_age_in_days'], 30); ?>>1</option>
									<option value="91" <?php selected($options['max_related_post_age_in_days'], 91); ?>>3</option>
									<option value="365" <?php selected($options['max_related_post_age_in_days'], 365); ?>>12</option>
								</select> &nbsp;<?php _e('months.','zemanta_related_posts'); ?>
							</label></td>
						</tr>
					</table>

					<h3><?php _e('Theme Settings','zemanta_related_posts'); ?></h3>
					<div id="zem_rp_theme_options_wrap">
						<input type="hidden" id="zem_rp_desktop_theme_selected" value="<?php esc_attr_e($options['desktop']['theme_name']); ?>" />
						<table>
							<tr id="zem_rp_desktop_theme_options_wrap">
								<td>
									<div id="zem_rp_desktop_theme_area" style="display: none;">
										<div class="theme-extra-options">
											<label class="zem_rp_settings_button">
												<input type="checkbox" id="zem_rp_desktop_custom_theme_enabled" name="zem_rp_desktop_custom_theme_enabled" value="yes"<?php checked($options['desktop']['custom_theme_enabled']); ?> />
												<?php _e('Customize','zemanta_related_posts') ;?>
											</label>
										</div>
									</div>
								</td>
							</tr>
							<tr id="zem_rp_desktop_theme_custom_css_wrap" style="display: none; ">
								<td>
									<label>
										<input name="zem_rp_desktop_display_thumbnail" type="checkbox" id="zem_rp_desktop_display_thumbnail" value="yes"<?php checked($options['desktop']["display_thumbnail"]); ?> onclick="zem_rp_display_thumbnail_onclick();" />
										<?php _e("Display Thumbnails For Related Posts",'zemanta_related_posts');?>
									</label>
								</td>
							</tr>
							<tr>
								<td>
									
								</td>
							</tr>
						</table>
					</div>

					<h3><?php _e("Other Settings:",'zemanta_related_posts'); ?></h3>
					<table class="form-table">
						<tr valign="top">
							<th scope="row"><?php _e('Exclude these Categories:', 'zemanta_related_posts'); ?></th>
							<td>
								<div class="excluded-categories">
									<?php
									$exclude = explode(',', $options['exclude_categories']);
									$args = array(
										'orderby' => 'name',
										'order' => 'ASC',
										'hide_empty' => false
										);

									foreach (get_categories($args) as $category) :
									?>
									<label>
										<input name="zem_rp_exclude_categories[]" type="checkbox" id="zem_rp_exclude_categories" value="<?php esc_attr_e($category->cat_ID); ?>"<?php checked(in_array($category->cat_ID, $exclude)); ?> />
										<?php esc_html_e($category->cat_name); ?>
										<br />
									</label>
									<?php endforeach; ?>
								</div>
							</td>
						</tr>
						<tr valign="top">
							<td colspan="2"><?php if(strpos(get_bloginfo('language'), 'en') === 0): ?>
								<br/>
								<label>
									<input name="zem_classic_state" type="checkbox" id="zem_classic_state" value="yes" <?php checked($meta['classic_user']); ?>>
									<?php _e("Display Related Posts Recommendations on Compose Screen", 'zemanta_related_posts');?>
								</label><?php endif; ?>
								<br />
								<label>
									<input name="zem_rp_display_zemanta_linky" type="checkbox" id="zem_rp_display_zemanta_linky" value="yes" <?php checked($options['display_zemanta_linky']); ?> />
									<?php _e("Support us (show our logo)",'zemanta_related_posts');?>
								</label>
								<br />
								<label>
										<input type="checkbox" name="zem_rp_only_admins_can_edit_related_posts" id="zem_rp_only_admins_can_edit_related_posts" value="yes" <?php checked($options['only_admins_can_edit_related_posts']); ?> />
										<?php _e("Only admins can edit Related Posts",'zemanta_related_posts');?>
								</label>
								<br />
								<label>
									<input name="zem_rp_on_rss" type="checkbox" id="zem_rp_on_rss" value="yes"<?php checked($options['on_rss']); ?>>
									<?php _e("Display Related Posts in Feed",'zemanta_related_posts');?>
								</label>
								<br />
							</td>
						</tr>
					</table>
					<p class="submit"><input type="submit" value="<?php _e('Save changes', 'zemanta_related_posts'); ?>" class="button-primary" /></p>

				</form>
			</div>
		</div>
	</div>
